Redmine - Defect #4152
child_pages on Wiki with ?version in URL
2009-11-02 14:15 - Henrik Ammer

Status: Closed Start date: 2009-11-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 0.9.0

Resolution: Fixed Affected version:

Description

If | use the child_pages macro on a Wiki page and go to the page through (for instance) activity, so | get the version added as a get
(ex wiki/WikiPage?version=2), it throws out the error:

| Error executing the child_pages macro (With no argument, this macro can be called from wiki pages only.)

It works as it should if the page is requested as normal (wiki’/WikiPage).
I'm running

- Apache 2.2.12
- MySQL 5.1.37
- Ruby 1.8.7

- Rails 2.3.4

- Redmine r2992

And | can't find any error text regarding the problem in either production.log nor the apache lodfile.
production.log just states:

Processing WikiController#index (for MYIPADRESS at 2009-11-02 14:06:18) [GET]
Parameters: {"action"=>"index", "id"=>"3", "page"=>"Regler", "version"=>"2", "controller"=>"wiki"}
Rendering template within layouts/base
Rendering wiki/show
Completed in 471ms (View: 382, DB: 20) | 200 OK [http.//MYWEBPAGE.COM/redmine/projects/3/wiki/Regler?version=2]

Associated revisions

Revision 3006 - 2009-11-04 13:36 - Jean-Philippe Lang

Fixed: child_pages macro fails on wiki page history (#4152).

History

#1 - 2009-11-03 11:50 - Henrik Ammer

Addendum

The wikipage throws no error if | specify child_pages(WikiPage).
http://MYWEBPAGE.COM/redmine/projects/3/wiki/Regler?version=2

#2 - 2009-11-04 13:31 - Jean-Philippe Lang
- Category set to Wiki

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r3006.
